#-- 
#-- Table structure for table `fusion_arcade_score`
#-- 

CREATE TABLE IF NOT EXISTS fusion_arcade_score (
  score_id int(10) NOT NULL auto_increment,
  game_id int(4) NOT NULL default '0',
  player_id int(4) NOT NULL default '0',
  game_score int(20) NOT NULL default '0',
  score_date int(10) unsigned default NULL,
  PRIMARY KEY  (score_id)
) TYPE=MyISAM;

#-- 
#-- Table structure for table `fusion_arcade_games`
#-- 

CREATE TABLE IF NOT EXISTS fusion_arcade_games (
  lid int(4) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  description text NOT NULL,
  flash varchar(100) NOT NULL default '',
  icon varchar(100) NOT NULL default '',
  reward int(10) NOT NULL default '0',
  bonus int(10) NOT NULL default '0',
  played int(10) NOT NULL default '0',
  hiscore int(20) NOT NULL default '0',
  hi_player varchar(50) NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '1',
  lastplayed int(10) unsigned NOT NULL default '0',
  width varchar(6) NOT NULL default '100%',
  height varchar(6) NOT NULL default '100%',
  control enum('0','1') NOT NULL default '0',
  reverse int(1) NOT NULL default '0',
  play_cost int(15) NOT NULL default '0',
  PRIMARY KEY  (lid),
  UNIQUE KEY title (title),
  UNIQUE KEY flash (flash)
) TYPE=MyISAM;

#-- 
#-- Table structure for table `fusion_arcade_cats`
#-- 

CREATE TABLE IF NOT EXISTS fusion_arcade_cats (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  description text NOT NULL,
  image varchar(100) NOT NULL default '',
  parentid int(11) NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (cid)
) TYPE=MyISAM;

#-- 
#-- Table structure for table `fusion_inf_settings`
#-- 

CREATE TABLE IF NOT EXISTS fusion_inf_settings (
  name varchar(100) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (name),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

#-- 
#-- Dumping data for table `fusion_inf_settings`
#-- 

INSERT INTO fusion_inf_settings VALUES ('arcade_comp_player_list', '');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_count', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_game_name', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_expires', '0000000000');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_winner', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_score', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_game_id', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_hiscore_pm', '1');
INSERT INTO fusion_inf_settings VALUES ('arcade_cheatwarn', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_instantban', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_cheatwarning', 'The arcade system has decided that there is a chance however slim that you are attempting to cheat. This is a warning. Continued attempts may get you banned!!');
INSERT INTO fusion_inf_settings VALUES ('admin_cheat_pm', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_members_only', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_paytoplay', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_usergold', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_autoban', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_use_popup', '0');
INSERT INTO fusion_inf_settings VALUES ('arcade_allow_vote', '1');
INSERT INTO fusion_inf_settings VALUES ('arcade_allow_comments', '1');
INSERT INTO fusion_inf_settings VALUES ('arcade_search_results', '10');
INSERT INTO fusion_inf_settings VALUES ('arcade_new_games', '10');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_single', '1');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_sponser', '-');
INSERT INTO fusion_inf_settings VALUES ('arcade_comp_info', '-');
INSERT INTO fusion_inf_settings VALUES ('arcade_frontcat', '10');
INSERT INTO fusion_inf_settings VALUES ('arcade_perpage', '10');
INSERT INTO fusion_inf_settings VALUES ('arcade_group', '');
INSERT INTO fusion_inf_settings VALUES ('arcade_timer', '200');