<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."arcade/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."arcade/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."arcade/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ARC000'];
$inf_description = $locale['ARC001'];
$inf_version = "5.0.7";
$inf_developer = "AusiMods";
$inf_email = "support@ausimods.com";
$inf_weburl = "http://www.ausimods.net";

$inf_folder = "arcade"; // The folder in which the infusion resides.
$inf_admin_image = "arcade.gif"; // Leave blank to use the default image.
$inf_admin_panel = "admin/index.php"; // The admin panel filename if required.

$inf_link_name = $locale['ARC002']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "index.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 34; // Numbers rows added into created db tables.
$inf_altertables = 10; // Number of db tables to alter (upgrade).
$inf_deldbrows = 36; // Number of db tables to delete data from.



/*	INSTALL INFUSION	*/



// Delete any items not required here.
$inf_newtable_[1] = "arcade_score (
  score_id int(10) NOT NULL auto_increment,
  game_id int(4) NOT NULL default '0',
  player_id int(4) NOT NULL default '0',
  game_score int(20) NOT NULL default '0',
  score_date int(10) unsigned default NULL,
  PRIMARY KEY  (score_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "arcade_cats (
  cid int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  description text NOT NULL,
  image varchar(100) NOT NULL default '',
  parentid int(11) NOT NULL default '0',
  `status` enum('0','1','2') NOT NULL default '0',
  PRIMARY KEY  (cid)
) TYPE=MyISAM;";

$inf_newtable_[3] = "arcade_games (
  lid int(4) NOT NULL auto_increment,
  cid int(11) NOT NULL default '0',
  title varchar(100) NOT NULL default '',
  description text NOT NULL,
  flash varchar(100) NOT NULL default '',
  icon varchar(100) NOT NULL default '',
  reward int(10) NOT NULL default '0',
  bonus int(10) NOT NULL default '0',
  played int(10) NOT NULL default '0',
  hiscore int(20) NOT NULL default '0',
  hi_player varchar(50) NOT NULL default '0',
  `status` enum('0','1','2') NOT NULL default '1',
  lastplayed int(10) unsigned NOT NULL default '0',
  width varchar(6) NOT NULL default '100%',
  height varchar(6) NOT NULL default '100%',
  control enum('0','1') NOT NULL default '0',
  reverse int(1) NOT NULL default '0',
  play_cost int(15) NOT NULL default '0',
  PRIMARY KEY  (lid),
  UNIQUE KEY title (title),
  UNIQUE KEY flash (flash)
) TYPE=MyISAM;";


//method of install altered due to problems getting the infusion installer to accept the if exist.
dbquery ("CREATE TABLE IF NOT EXISTS ".$db_prefix."inf_settings (
  name varchar(100) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (name),
  UNIQUE KEY name (name)
) TYPE=MyISAM;");


//data insertion
$inf_insertdbrow_[1] = "inf_settings ( name , value )VALUES ('arcade_frontcat', '10')";
$inf_insertdbrow_[2] = "inf_settings ( name , value )VALUES ('arcade_perpage', '10')";
$inf_insertdbrow_[3] = "inf_settings ( name , value )VALUES ('arcade_new_games', '10')";
$inf_insertdbrow_[4] = "inf_settings ( name , value )VALUES ('arcade_search_results', '10')";
$inf_insertdbrow_[5] = "inf_settings ( name , value )VALUES ('arcade_allow_comments', '1')";
$inf_insertdbrow_[6] = "inf_settings ( name , value )VALUES ('arcade_allow_vote', '1')";
$inf_insertdbrow_[7] = "inf_settings ( name , value )VALUES ('arcade_use_popup', '0')";
$inf_insertdbrow_[8] = "inf_settings ( name , value )VALUES ('arcade_autoban', '0')";
$inf_insertdbrow_[9] = "inf_settings ( name , value )VALUES ('arcade_usergold', '0')";
$inf_insertdbrow_[10] = "inf_settings ( name , value )VALUES ('arcade_paytoplay', '0')";
$inf_insertdbrow_[11] = "inf_settings ( name , value )VALUES ('arcade_members_only', '0')";
$inf_insertdbrow_[12] = "inf_settings ( name , value )VALUES ('admin_cheat_pm', '0')";
$inf_insertdbrow_[13] = "inf_settings ( name , value )VALUES ('arcade_cheatwarn', '0')";
$inf_insertdbrow_[14] = "inf_settings ( name , value )VALUES ('arcade_instantban', '0')";
$inf_insertdbrow_[15] = "inf_settings ( name , value )VALUES ('arcade_cheatwarning', 'The arcade system has decided that there is a chance however slim that you are attempting to cheat. This is a warning. Continued attempts may get you banned!!')";
$inf_insertdbrow_[16] = "inf_settings ( name , value )VALUES ('arcade_hiscore_pm', '1')";
$inf_insertdbrow_[17] = "inf_settings ( name , value )VALUES ('arcade_comp_game_id', '0')";
$inf_insertdbrow_[18] = "inf_settings ( name , value )VALUES ('arcade_comp_score', '0')";
$inf_insertdbrow_[19] = "inf_settings ( name , value )VALUES ('arcade_comp_winner', '0')";
$inf_insertdbrow_[20] = "inf_settings ( name , value )VALUES ('arcade_comp_expires', '".time()."')";
$inf_insertdbrow_[21] = "inf_settings ( name , value )VALUES ('arcade_comp_game_name', '0')";
$inf_insertdbrow_[22] = "inf_settings ( name , value )VALUES ('arcade_comp_count', '0')";
$inf_insertdbrow_[23] = "inf_settings ( name , value )VALUES ('arcade_comp_player_list', '')";
$inf_insertdbrow_[24] = "inf_settings ( name , value )VALUES ('arcade_comp_single', '1')";
$inf_insertdbrow_[25] = "inf_settings ( name , value )VALUES ('arcade_comp_sponser', '-')";
$inf_insertdbrow_[26] = "inf_settings ( name , value )VALUES ('arcade_comp_info', '-')";
$inf_insertdbrow_[27] = "inf_settings ( `name` , `value` )VALUES ('arcade_group', '');";
$inf_insertdbrow_[28] = "inf_settings ( `name` , `value` )VALUES ('arcade_timer', '200');";
$inf_insertdbrow_[29] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_latest', '0');";
$inf_insertdbrow_[30] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_hiscores', '1');";
$inf_insertdbrow_[31] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_popular', '0');";
$inf_insertdbrow_[32] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_oldest', '0');";
$inf_insertdbrow_[33] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_lowscore', '0');";
$inf_insertdbrow_[34] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_nonpopular', '0');";

/*	UNINSTALL INFUSION	*/

$inf_droptable_[1] = "arcade_games";
$inf_droptable_[2] = "arcade_cats";
$inf_droptable_[3] = "arcade_score";


$inf_deldbrow_[1] = "inf_settings WHERE `name`  = 'arcade_frontcat' LIMIT 1;";
$inf_deldbrow_[2] = "inf_settings WHERE `name`  = 'arcade_perpage' LIMIT 1;";
$inf_deldbrow_[3] = "inf_settings WHERE `name`  = 'arcade_new_games' LIMIT 1;";
$inf_deldbrow_[4] = "inf_settings WHERE `name`  = 'arcade_search_results' LIMIT 1;";
$inf_deldbrow_[5] = "inf_settings WHERE `name`  = 'arcade_allow_comments' LIMIT 1;";
$inf_deldbrow_[6] = "inf_settings WHERE `name`  = 'arcade_allow_vote' LIMIT 1;";
$inf_deldbrow_[7] = "inf_settings WHERE `name`  = 'arcade_use_popup' LIMIT 1;";
$inf_deldbrow_[8] = "inf_settings WHERE `name`  = 'arcade_autoban' LIMIT 1;";
$inf_deldbrow_[9] = "inf_settings WHERE `name`  = 'arcade_usergold' LIMIT 1;";
$inf_deldbrow_[10] = "inf_settings WHERE `name`  = 'arcade_paytoplay' LIMIT 1;";
$inf_deldbrow_[11] = "inf_settings WHERE `name`  = 'arcade_members_only' LIMIT 1;";
$inf_deldbrow_[12] = "inf_settings WHERE `name`  = 'admin_cheat_pm' LIMIT 1;";
$inf_deldbrow_[13] = "inf_settings WHERE `name`  = 'arcade_cheatwarn' LIMIT 1;";
$inf_deldbrow_[14] = "inf_settings WHERE `name`  = 'arcade_instantban' LIMIT 1;";
$inf_deldbrow_[15] = "inf_settings WHERE `name`  = 'arcade_cheatwarning' LIMIT 1;";
$inf_deldbrow_[16] = "inf_settings WHERE `name`  = 'arcade_hiscore_pm' LIMIT 1;";
$inf_deldbrow_[17] = "inf_settings WHERE `name`  = 'arcade_comp_game_id' LIMIT 1;";
$inf_deldbrow_[18] = "inf_settings WHERE `name`  = 'arcade_comp_score' LIMIT 1;";
$inf_deldbrow_[19] = "inf_settings WHERE `name`  = 'arcade_comp_winner' LIMIT 1;";
$inf_deldbrow_[20] = "inf_settings WHERE `name`  = 'arcade_comp_expires' LIMIT 1;";
$inf_deldbrow_[21] = "inf_settings WHERE `name`  = 'arcade_comp_game_name' LIMIT 1;";
$inf_deldbrow_[22] = "inf_settings WHERE `name`  = 'arcade_comp_count' LIMIT 1;";
$inf_deldbrow_[23] = "inf_settings WHERE `name`  = 'arcade_comp_player_list' LIMIT 1;";
$inf_deldbrow_[24] = "inf_settings WHERE `name`  = 'arcade_comp_single' LIMIT 1;";
$inf_deldbrow_[25] = "inf_settings WHERE `name`  = 'arcade_comp_sponser' LIMIT 1;";
$inf_deldbrow_[26] = "inf_settings WHERE `name`  = 'arcade_comp_info' LIMIT 1;";
$inf_deldbrow_[27] = "inf_settings WHERE `name` = 'arcade_timer' LIMIT 1;";
$inf_deldbrow_[28] = "inf_settings WHERE `name` = 'arcade_group' LIMIT 1;";
$inf_deldbrow_[29] = "comments WHERE comment_type = 'G';";
$inf_deldbrow_[30] = "ratings WHERE rating_type = 'G';";
$inf_deldbrow_[31] = "inf_settings WHERE `name` = 'arcade_t10_latest' LIMIT 1;";
$inf_deldbrow_[32] = "inf_settings WHERE `name` = 'arcade_t10_hiscores' LIMIT 1;";
$inf_deldbrow_[33] = "inf_settings WHERE `name` = 'arcade_t10_popular' LIMIT 1;";
$inf_deldbrow_[34] = "inf_settings WHERE `name` = 'arcade_t10_oldest' LIMIT 1;";
$inf_deldbrow_[35] = "inf_settings WHERE `name` = 'arcade_t10_lowscore' LIMIT 1;";
$inf_deldbrow_[36] = "inf_settings WHERE `name` = 'arcade_t10_nonpopular' LIMIT 1;";


/*	UPGRADE INFUSION	*/



$inf_altertable_[1] = "arcade_games CHANGE `status` `status` ENUM( '0', '1', '2' ) DEFAULT '1' NOT NULL;";
$inf_altertable_[2] = "arcade_cats CHANGE `status` `status` ENUM( '0', '1', '2' ) DEFAULT '1' NOT NULL;";
$inf_altertable_[3] = "inf_settings ( `name` , `value` )VALUES ('arcade_group', '');";
$inf_altertable_[4] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_latest', '0');";
$inf_altertable_[5] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_hiscores', '1');";
$inf_altertable_[6] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_popular', '0');";
$inf_altertable_[7] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_oldest', '0');";
$inf_altertable_[8] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_lowscore', '0');";
$inf_altertable_[9] = "inf_settings ( `name` , `value` )VALUES ('arcade_t10_nonpopular', '0');";
$inf_altertable_[10] = "arcade_games ADD downloads INT (10) DEFAULT '0' not null;);";


/*
//these are no longer a part of the system.
//maybe make an update script to remove them.



DELETE FROM `fusion_inf_settings` WHERE `name` = 'arcade_adstext' LIMIT 1;
DELETE FROM `fusion_inf_settings` WHERE `name` = 'arcade_pmsys' LIMIT 1;
DELETE FROM `fusion_inf_settings` WHERE `name` = 'arcade_user' LIMIT 1;
*/
?>